
CoCoALib - Slug #1070

Slug: MakeTermOrd (rk calls in RemoveRedundantRows)

17 May 2017 13:45 - Anna Maria Bigatti

Status: New Start date: 17 May 2017

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 10%

Category: Improving Estimated time: 0.00 hour

Target version: CoCoALib-1.0 Spent time: 0.50 hour

Description

The function RemoveRedundantRows is quite slow because of the repeated calls to rk.

I had thought it was not important, but I have (small) examples where this function takes 90% of the computation of a GBasis (small

ideal, with 30 unused indets).

Related issues:

Related to CoCoALib - Feature #937: LinDepMill: Mill for linear dependencies In Progress 06 Oct 2016

History

#1 - 17 May 2017 13:47 - Anna Maria Bigatti

- Subject changed from Slug: MakeTermOrd to Slug: MakeTermOrd (rk calls in RemoveRedundantRows)

- Category set to Improving

- Assignee set to Anna Maria Bigatti

- Target version set to CoCoALib-1.0

- % Done changed from 0 to 10

I just implemented a workaround:

I check det(M) before calling RemoveRedundantRows, if not 0 return M.

#2 - 18 Apr 2024 16:39 - Anna Maria Bigatti

- Related to Feature #937: LinDepMill: Mill for linear dependencies added
